package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the groupstatus database table.
 * 
 */
@Entity
public class GroupStatus implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idgstatus;

	@Lob
	private String content;

	private String datecreate;

	//bi-directional many-to-one association to GroupCommentStatus
	@OneToMany(mappedBy="groupstatus")
	private List<GroupCommentStatus> groupcommentstatuses;

	//bi-directional many-to-one association to MemberGroup
	@ManyToOne
	@JoinColumns({
		@JoinColumn(name="email", referencedColumnName="email"),
		@JoinColumn(name="idgroup", referencedColumnName="idgroup")
		})
	private MemberGroup membergroup;

	//bi-directional many-to-one association to GroupStatusLike
	@OneToMany(mappedBy="groupstatus")
	private List<GroupStatusLike> groupstatuslikes;

	public GroupStatus() {
	}

	public String getIdgstatus() {
		return this.idgstatus;
	}

	public void setIdgstatus(String idgstatus) {
		this.idgstatus = idgstatus;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getDatecreate() {
		return this.datecreate;
	}

	public void setDatecreate(String datecreate) {
		this.datecreate = datecreate;
	}

	public List<GroupCommentStatus> getGroupcommentstatuses() {
		return this.groupcommentstatuses;
	}

	public void setGroupcommentstatuses(List<GroupCommentStatus> groupcommentstatuses) {
		this.groupcommentstatuses = groupcommentstatuses;
	}

	public MemberGroup getMembergroup() {
		return this.membergroup;
	}

	public void setMembergroup(MemberGroup membergroup) {
		this.membergroup = membergroup;
	}

	public List<GroupStatusLike> getGroupstatuslikes() {
		return this.groupstatuslikes;
	}

	public void setGroupstatuslikes(List<GroupStatusLike> groupstatuslikes) {
		this.groupstatuslikes = groupstatuslikes;
	}

}